### Class

# EDataCal CalBackendSExp

#### Description

    class EDataCal.CalBackendSExp : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_cal_backend_sexp_new

No description available.

#### Functions

###### e_cal_backend_sexp_func_make_time

(make-time ISODATE) ISODATE - string, ISO 8601 date/time representation.

###### e_cal_backend_sexp_func_time_add_day

(time-add-day TIME N) TIME - time_t, base time N - int, number of days to add.

###### e_cal_backend_sexp_func_time_day_begin

(time-day-begin TIME) TIME - time_t, base time.

###### e_cal_backend_sexp_func_time_day_end

(time-day-end TIME) TIME - time_t, base time.

###### e_cal_backend_sexp_func_time_now

Processes the (time-now) sexp expression.

#### Instance methods

###### e_cal_backend_sexp_evaluate_occur_times

Determines biggest time window given by expressions “occur-in-range” in sexp.

since: 2.32

###### e_cal_backend_sexp_lock

Locks the `sexp`. Other threads cannot use it until it’s unlocked with e_cal_backend_sexp_unlock().

since: 3.34

###### e_cal_backend_sexp_match_comp

Checks if `comp` matches `sexp`.

###### e_cal_backend_sexp_match_object

Checks if `object` matches `sexp`.

###### e_cal_backend_sexp_text

Retrieve the text expression for the given `ECalBackendSExp` object.

###### e_cal_backend_sexp_unlock

Unlocks the `sexp`, previously locked by e_cal_backend_sexp_lock().

since: 3.34

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataCalCalBackendSExpClass {
      /* no available fields */
    }

No description available.